--
-- standard header
-- BFS
.FOPEN_   SET     $FFFF2004
.FCLOSE_  SET     $FFFF2008
.FGETC_   SET     $FFFF200C
.FPUTC_   SET     $FFFF2010
.PRINTF_  SET     $FFFF2014
.FREE_    SET     $FFFF2018
.NEW_     SET     $FFFF201C
.UNLINK_  SET     $FFFF2020
.RENAME_  SET     $FFFF2024
.UNGETC_  SET     $FFFF2028
.EXIT_    SET     $FFFF202C
.ABORT_   SET     $FFFF202C

.GETC_    SET    $FFFFE070  / RETURNS KEY PRESS
.PUTC_    SET    $FFFFE074  / (CHAR)  PUT TO TTY
-- BIOS
-- SIGNED MATH
.RFUN0    SET     $FFFFE0A8  / MULT A * X
.RFUN1    SET     $FFFFE0AC  / DIV  A / X
.RFUN2    SET     $FFFFE0B0  / MOD  A MOD X
.GETS_    SET     $FFFFE090  / GETS(BUF)
.STRCPY_  SET     $FFFFE098  / C STRING COPY
.STRCMP_  SET     $FFFFE09C  / C STRING COMPARE
.GETS_S_  SET     $FFFFE094  / GETCS(BUF,N)
.STRLEN_  SET     $FFFFE0A0  / C STRING LEN
.STRCAT_  SET     $FFFFE0A4  / STRING CAT
 -- UNSIGNED MATH
.RFUN8    SET     $FFFFE084  / MULT A * X
.RFUN9    SET     $FFFFE088  / DIV  A / X
.RFUN10   SET     $FFFFE08C  / MOD  A MOD X
--FE084 807FE3CC          BRA     A #_FUNC0
--FE088 807FE40C          BRA     A #_FUNC1
--FE08C 807FE420          BRA     A #_FUNC2
--FE090 807FE46C          BRA     A #GETS
--FE094 80700000          BRA     A #GETCS
--FE098 807FE54C          BRA     A #STRCPY
--FE09C 807FE57C          BRA     A #STRCMP
--FE0A0 807FE5A8          BRA     A #SLEN
--FE0A4 807FE530          BRA     A #SCAT
--FE0A8 807FE5C4          BRA     A #SMLT
--FE0AC 807FE5EC          BRA     A #SDIV
--FE0B0 807FE604          BRA     A #SMOD